libzypp 17.37.10

zypp::resfilter::ByName Struct Reference

Select ResObject by name. More...

`#include <zypp/ResFilters.h>`

## Public Member Functions
| ByName ()
| ByName (std::string name_r)
bool | operator() (const ResObject::constPtr &p) const

## Public Attributes
std::string | _name

## Detailed Description

Select ResObject by name.

Definition at line 151 of file ResFilters.h.

## Constructor & Destructor Documentation

## ◆ ByName() [1/2]

zypp::resfilter::ByName::ByName | ( |  | ) |
| inline

Definition at line 153 of file ResFilters.h.

## ◆ ByName() [2/2]

zypp::resfilter::ByName::ByName | ( | std::string | name_r | ) |
| inline

Definition at line 156 of file ResFilters.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::resfilter::ByName::operator() | ( | const ResObject::constPtr & | p | ) | const
| inline

Definition at line 160 of file ResFilters.h.

## Member Data Documentation

## ◆ _name

std::string zypp::resfilter::ByName::_name

Definition at line 165 of file ResFilters.h.

The documentation for this struct was generated from the following file:

- zypp/ResFilters.h